class TTSSystem(Module):
  __parameters__ = []
  __buffers__ = []
  training : bool
  _is_full_backward_hook : NoneType
  symbol_to_id : Dict[str, int]
  sos_token : str
  eos_token : str
  set_accent : bool
  phons : bool
  phon_sep : str
  alphabet : List[str]
  tts_model : __torch__.silero_vocoder.jit_model.___torch_mangle_79.MultiTTSModel
  def forward(self: __torch__.silero_vocoder.jit_model.___torch_mangle_80.TTSSystem,
    sentences: List[str],
    clean_sentences: List[str],
    break_lens: List[Optional[int]],
    prosody_rates: List[float],
    prosody_pitches: List[float],
    speaker_ids: Tensor,
    sr: int=48000,
    device: str="cpu",
    gt_durs: Optional[Tensor]=None,
    gt_pitch: Optional[Tensor]=None) -> Tuple[Tensor, Tuple[Tensor, List[bool]]]:
    _0 = (self).merge_batch_model(sentences, break_lens, prosody_rates, prosody_pitches, )
    sequence, symb_durs, durs_rate, pitch_coefs, word_mask, = _0
    tts_model = self.tts_model
    _1 = torch.to(sequence, torch.device(device))
    _2 = torch.to(speaker_ids, torch.device(device))
    _3 = torch.to(durs_rate, torch.device(device))
    _4 = torch.to(pitch_coefs, torch.device(device))
    _5 = (tts_model).forward(_1, _2, sr, symb_durs, _3, _4, gt_durs, gt_pitch, device, )
    audio, durs, = _5
    return (audio, (durs, word_mask))
  def merge_batch_model(self: __torch__.silero_vocoder.jit_model.___torch_mangle_80.TTSSystem,
    texts: List[str],
    break_lens: List[Optional[int]],
    prosody_rates: List[float],
    prosody_pitches: List[float]) -> Tuple[Tensor, Dict[int, int], Tensor, Tensor, List[bool]]:
    split_texts = annotate(List[List[str]], [])
    for _6 in range(torch.len(texts)):
      t = texts[_6]
      phons = self.phons
      if phons:
        phon_sep = self.phon_sep
        _7 = torch.append(split_texts, torch.split(t, phon_sep))
      else:
        _8 = torch.append(split_texts, torch.list(t))
    symb_durs = annotate(Dict[int, int], {})
    final_rates = annotate(List[float], [])
    final_pitches = annotate(List[float], [])
    _9 = [9223372036854775807, torch.len(break_lens)]
    text_len = -1
    for i in range(ops.prim.min(_9)):
      break_len = break_lens[i]
      _10 = torch.sub(torch.len(break_lens), 1)
      if torch.lt(i, _10):
        cur_text_len0 = torch.add(torch.len(split_texts[i]), 1)
        cur_text_len = cur_text_len0
      else:
        cur_text_len1 = torch.add(torch.len(split_texts[i]), 2)
        cur_text_len = cur_text_len1
      phons0 = self.phons
      if phons0:
        _11 = torch.eq(i, 0)
      else:
        _11 = False
      if _11:
        cur_text_len2 = torch.sub(cur_text_len, 1)
      else:
        cur_text_len2 = cur_text_len
      text_len0 = torch.add(text_len, cur_text_len2)
      if torch.__isnot__(break_len, None):
        break_len0 = unchecked_cast(int, break_len)
        _12 = torch.sub(torch.len(break_lens), 1)
        if torch.lt(i, _12):
          torch._set_item(symb_durs, text_len0, break_len0)
        else:
          torch._set_item(symb_durs, torch.sub(text_len0, 1), break_len0)
      else:
        pass
      rate = prosody_rates[i]
      torch.extend(final_rates, torch.mul([rate], cur_text_len2))
      pitch = prosody_pitches[i]
      torch.extend(final_pitches, torch.mul([pitch], cur_text_len2))
      text_len = text_len0
    phons1 = self.phons
    if phons1:
      phon_sep0 = self.phon_sep
      if torch.eq(phon_sep0, " "):
        full_text0 = torch.join(" <sep> ", texts)
      else:
        phon_sep1 = self.phon_sep
        phon_sep2 = self.phon_sep
        _13 = torch.format("{} {}", phon_sep1, phon_sep2)
        full_text0 = torch.join(_13, texts)
      full_text = full_text0
    else:
      full_text = torch.join(" ", texts)
    _14 = (self).preprocess_tacotron(full_text, )
    text_tensor, word_mask, = _14
    text_tensor0 = torch.unsqueeze(text_tensor, 0)
    rate_tensor = torch.unsqueeze(torch.tensor(final_rates), 0)
    pitch_tensor = torch.unsqueeze(torch.tensor(final_pitches), 0)
    _15 = (text_tensor0, symb_durs, rate_tensor, pitch_tensor, word_mask)
    return _15
  def preprocess_tacotron(self: __torch__.silero_vocoder.jit_model.___torch_mangle_80.TTSSystem,
    text: str) -> Tuple[Tensor, List[bool]]:
    phons = self.phons
    if phons:
      phon_sep = self.phon_sep
      _16 = torch.add(text, phon_sep)
      eos_token = self.eos_token
      text0 = torch.add(_16, eos_token)
      phon_sep3 = self.phon_sep
      split_text = torch.split(text0, phon_sep3)
    else:
      sos_token = self.sos_token
      _17 = torch.add(sos_token, text)
      eos_token0 = self.eos_token
      text1 = torch.add(_17, eos_token0)
      split_text = torch.list(text1)
    text_ohe = annotate(List[int], [])
    word_mask = annotate(List[bool], [])
    for _18 in range(torch.len(split_text)):
      s = split_text[_18]
      symbol_to_id = self.symbol_to_id
      _19 = torch.append(text_ohe, symbol_to_id[s])
      alphabet = self.alphabet
      _20 = torch.append(word_mask, torch.__contains__(alphabet, s))
    text_tensor = torch.to(torch.tensor(text_ohe), 4)
    return (text_tensor, word_mask)
